Accepted add more stuff to shop

Welcome to Imperial Networks
Sign up to become a member and interact with the community!
Sign up
Status
Not open for further replies.

am4nda

New member
am4nda
am4nda
Messages
14
Likes
3
Points
3
#1
can you add end rod to shop please?? and all the tall flowers and the lily pad, that would be great thanks
 
Messages
22
Likes
2
Points
3
#2
they probably wont, because of the fact that they're using 1.8 as well as 1.12.2, so because of that they try to keep it in the 1.8 format so everyone can use it and still have fun, if you were to place down those blocks, to 1.8 users it may look like just a block of stone, and depending on what you're wanting to do with the rods it might block them from getting somewhere or it will just be a plain annoyance.
 
OP
OP
am4nda

am4nda

New member
am4nda
am4nda
Messages
14
Likes
3
Points
3
#3
Who even plays on 1.8 wth?? And If someone actually does play on 1.8, they can just change it to 1.12.2 it's not rocket science
 
Messages
22
Likes
2
Points
3
#4
A lot of people actually still play in 1.8, they may like the mechanics of pvp or something else, and please, there is no reason to start being crass, i am just making points. and they can change into 1.12.2, but i doubt they would just so they can use the block and then never really use it later on because they play 1.8, and im not saying that this isnt a good idea, because i would enjoy building with those things, but the flowers you can just get by bone-mealing the grass if you set your biome to the right one, the lily pads however i do not know, that i could see being added to the shop because it is just a decoration that has been in all of the supported versions.

-Nugget
 
OP
OP
am4nda

am4nda

New member
am4nda
am4nda
Messages
14
Likes
3
Points
3
#5
The pvp mechanics won't change unless they change it on the server, i'm playing on 1.12.2 and sadly i do have the old pvp mechanics on this server. I don't see what the problem is (other than actually adding the items to shop, idk if that's a lot of work), if they want to use the old 1.8 items they can do that on an later updated version of minecraft. Nobody is forcing them to use the new items lol (sorry i don't have the best grammar in english).
 
Messages
22
Likes
2
Points
3
#6
the thing that im talking about is the block hitting, with 1.8 you just use the sword which blocks very little of your view, in 1.12 it brings up a shield which makes it almost impossible to see, that is one little thing but it is what makes people use 1.8 the majority of the time.
Adding the items to the shop isnt that hard, at least it wasnt for me when i did it, but it does take some time to decide what the price is going to be for buying/selling of the item. but like i said, im not trying to argue i'm just pointing out things.
-Nugget
 
OP
OP
am4nda

am4nda

New member
am4nda
am4nda
Messages
14
Likes
3
Points
3
#7
They will get used to the shield in no time, and they don't even have to use it anyway, i don't use it. Also who are the people you are talking about that uses 1.8??? Btw, you are talking about skyblock also yea? Because idgaf about the other servers.
 
Messages
22
Likes
2
Points
3
#8
i for one use it a lot and i know some others who do such as Christophercool9 Zsevrens Pos1 (yes i know that these people are benned but they play in 1.8 non the less) and if i really wanted to i could just ask everyone on the server what version they play in so we could see what the majortiy is, and yes i am talking about skyblock, i would not bring in other servers because that would make my points irrelevant, and i have tried to get used to the shield for a long time, never have.

Anyway those are my points, i have other things to do so i will no longer be responding to this thread, please have a nice day and continue to have fun on the server!:)

-Nugget
 
OP
OP
am4nda

am4nda

New member
am4nda
am4nda
Messages
14
Likes
3
Points
3
#9
why would you even mention them if they got banned haha. And i think they would lose more users if they keep on using the old blocks etc. I'm always looking for a updated server to play on, i'm bored with the old decor and blocks, i want the new items so i can make more interesting builds and so on.
 
Messages
22
Likes
2
Points
3
#10
okay, final reply, if you dont like this server, play a different one. Goodbye :rolleyes:
 
OP
OP
am4nda

am4nda

New member
am4nda
am4nda
Messages
14
Likes
3
Points
3
#11
i never said i didn't like this server, i said it could use some improvements
 

Salamananders

Co-Owner
Co-Owner
Salamananders
Salamananders
Co Owner
Messages
157
Likes
27
Points
28
Discord
Shameeeeel #0223
#12
To avoid compatibility issues, we purposely avoid adding blocks/items which are not available from 1.8 forward. This is why you won't be seeing end rods, shulker boxes, etc in the shop.

Furthermore, I prefer 1.8 over 1.12 as a personal preference. We have to take in the preferences of every player on the server. As mentioned in this thread, there are many others who also use 1.8; with the knowledge that there is an updated version of Minecraft.

Instead of attempting to royally stomp on those who do not want to use 1.12, please consider the fact that there will always be different opinions on suggestion threads such as these. Just because someone does not support your movement doesn't mean that you need to mildly persecute them.

Added lily-pads and sunflowers to the shop, under the farming section. Thread closed.
 
Status
Not open for further replies.